Update domain
curl --request PATCH \
--url https://api.moonemail.co/domains/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"open_tracking": true,
"click_tracking": true,
"tracking_subdomain": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({open_tracking: true, click_tracking: true, tracking_subdomain: '<string>'})
};
fetch('https://api.moonemail.co/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/domains/{id}"
payload = {
"open_tracking": True,
"click_tracking": True,
"tracking_subdomain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object": "domain",
"id": "<string>"
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Domains
Update domain
Change tracking or TLS settings. Read existing settings first.
Required permission: domains:write.
PATCH
/
domains
/
{id}
Update domain
curl --request PATCH \
--url https://api.moonemail.co/domains/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"open_tracking": true,
"click_tracking": true,
"tracking_subdomain": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({open_tracking: true, click_tracking: true, tracking_subdomain: '<string>'})
};
fetch('https://api.moonemail.co/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/domains/{id}"
payload = {
"open_tracking": True,
"click_tracking": True,
"tracking_subdomain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object": "domain",
"id": "<string>"
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Authorizations
Moonemail API key; x-required-scope applies.
Path Parameters
Required string length:
1 - 200Pattern:
^[A-Za-z0-9_-]+$Body
application/json